Summary:       A library for text mode user interfaces
Name:          newt
Version:       0.52.23
Release:       3%{?dist}
License:       LGPLv2
URL:           https://pagure.io/newt
Source:        https://pagure.io/releases/newt/newt-%{version}.tar.gz
BuildRequires: make, gcc
BuildRequires: popt-devel, python3-devel, slang-devel

%Description
Newt is a programming library for color text mode, widget based user
interfaces.  Newt can be used to add stacked windows, entry widgets,
checkboxes, radio buttons, labels, plain text fields, scrollbars,
etc., to text mode user interfaces.  Newt is based on the slang library.

%package -n    python3-newt
Summary:       Python 3 bindings for newt
Requires:      %{name} = %{version}-%{release}
Provides:      %{name}-python3 = %{version}-%{release}
Provides:      snack = %{version}-%{release}

%description -n python3-newt
This package provides the Python3 bindings for the newt library.

%package       devel
Summary:       Newt windowing toolkit development files
Requires:      slang-devel, %{name} = %{version}-%{release}

%description   devel
This package provides header files and libraries for developers who use newt.

%prep
%setup -q

%build
%configure --without-tcl
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/libnewt.a
install -Dp -m644 peanuts.py %{buildroot}%{python3_sitearch}
install -Dp -m644 popcorn.py %{buildroot}%{python3_sitearch}

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS CHANGES README
%{_bindir}/whiptail
%{_libdir}/libnewt.so.*
%{_mandir}/man1/whiptail.1*

%files -n python3-newt
%{python3_sitearch}/peanuts.py
%{python3_sitearch}/popcorn.py
%{python3_sitearch}/*.so
%{python3_sitearch}/*.py*
%{python3_sitearch}/__pycache__/*.py*

%files devel
%{_includedir}/newt.h
%{_libdir}/libnewt.so
%{_libdir}/pkgconfig/libnewt.pc

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.52.23-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.52.23-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Aug 21 2023 Shuo Wang <abushwang@tencent.com> - 0.52.23-1
- update to 0.52.23

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.52.21-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.52.21-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jul 19 2022 cunshunxia <cunshunxia@tencent.com> - 0.52.21-1
- initial build
